Skip to content
DELETE /unified/crm/notes/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

contactobject[]

The note's contact

References: Contacts → id
1 supported1 required
Highlevel
required
idstring
required·

The contact's unique identifier

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
  • debug returns the final unified result alongside raw remote fetch information. The response is an envelope containing result (identical to unified mode output) and debug (with requestUrl, requestOptions, data, responseHeaders, and for list operations: nextCursor, isLooping, isEmptyResult, resultCount). debug is null for static responses or when truto_skip_api_call=true.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstreamdebug
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The note's unique identifier

6 supported
Capsule
supported
Nutshell
supported
Pipeliner
supported
Planhat
supported
Zendesk Sell
supported
Zoho CRM
supported
accountobject

The note's account

References: Accounts → id
2 supported
Nutshell
supported
Planhat
supported
idstring

The account's unique identifier

contactobject[]

The note's contact

References: Contacts → id
2 supported
Nutshell
supported
Planhat
supported
idstring

The contact's unique identifier

contentstring

The note's content

2 supported
Nutshell
supported
Planhat
supported
created_atstring · date-time

The date and time of the note's creation

2 supported
Nutshell
supported
Planhat
supported
leadobject[]

The note's leads

References: Leads → id
1 supported
Nutshell
supported
idstring

The lead's unique identifier

opportunityobject[]

The note's opportunities

idstring

The opportunity's unique identifier

ownerobject

The note's owner

1 supported
Planhat
supported
idstring

The note's owner's unique identifier

remote_dataRecord<string, any>

Raw data returned from the remote API call.

titlestring

The note's title

1 supported
Planhat
supported
updated_atstring · date-time

The date and time of the note's last update

urlsobject[]

The note's urls

typestring

The note's URL type

urlstring

The note's URL

visibilitystring

The note's visibility

Possible values:
publicprivate
curl -X DELETE 'https://api.truto.one/unified/crm/notes/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/notes/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'DELETE',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/notes/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.delete(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.delete(
  'crm',
  'notes',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.delete(
        "crm",
        "notes",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())